import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
import { Photo, SiteEquipment } from "../../../sdk";
import { FireEnjinFetchEvent, FireEnjinSubmitEvent, FireEnjinTriggerInput } from "@fireenjin/sdk";
export declare class ModalSiteEdit implements ComponentInterface {
  tabBarEl: HTMLIonTabBarElement;
  tabsEl: HTMLIonTabsElement;
  equipmentPriceEl: any;
  steps: string[];
  floodteamCloseModal: EventEmitter;
  floodteamCloseToast: EventEmitter;
  fireenjinFetch: EventEmitter<FireEnjinFetchEvent>;
  fireenjinSubmit: EventEmitter<FireEnjinSubmitEvent>;
  fireenjinTrigger: EventEmitter<FireEnjinTriggerInput>;
  jobId: string;
  isUploading: boolean;
  photo: Partial<Photo>;
  uploadUrl: string;
  currentSlide: number;
  viewGallery: boolean;
  showProgress: boolean;
  photoUploading: boolean;
  siteId: string;
  selectedTab: "info" | "photos" | "areas" | "dots";
  photoCarouselEl: HTMLFloodteamPhotoCarouselElement;
  onSuccess(event: any): Promise<void>;
  onReset(event: any): void;
  onTabClick(tabName: string): void;
  removeEquipment(equipment: SiteEquipment): void;
  toGalleryView(_event: any): void;
  componentDidLoad(): void;
  render(): any[];
}
